Bug 445459 - urls to bugs from reports are wrong
urls to bugs from reports are wrong
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Reporting/Charting (Show other bugs)
3.2
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
https://bugzilla.redhat.com/report.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 19:03 EDT by Bernd Groh
Modified: 2014-06-18 04:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 13:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Groh 2008-05-06 19:03:43 EDT
Description of problem:

https://bugzilla.redhat.com/report.cgi?x_axis_field=bug_status&y_axis_field=version&z_axis_field=&query_format=report-table&short_desc_type=allwordssubstr&short_desc=&product=Fedora&query_format=report-table&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=FAILS_QA&bug_status=RELEASE_PENDING&bug_status=POST&bug_status=PASSES_QA&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&fixed_in_type=allwordssubstr&fixed_in=&qa_whiteboard_type=allwordssubstr&qa_whiteboard=&devel_whiteboard_type=allwordssubstr&devel_whiteboard=&keywords_type=allwords&keywords=&cust_facing=&cust_facing_type=substring&bugidtype=include&bug_id=&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&format=table&action=wrap&field0-0-0=noop&type0-0-0=noop&value0-0-0=

is a report based on bug_status. Yet, the links to the bug listings include a
full bug_status list, as opposed to only the one specified in the column.

How reproducible:

Always

Steps to Reproduce:

1. Go to
https://bugzilla.redhat.com/report.cgi?x_axis_field=bug_status&y_axis_field=version&z_axis_field=&query_format=report-table&short_desc_type=allwordssubstr&short_desc=&product=Fedora&query_format=report-table&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=FAILS_QA&bug_status=RELEASE_PENDING&bug_status=POST&bug_status=PASSES_QA&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&fixed_in_type=allwordssubstr&fixed_in=&qa_whiteboard_type=allwordssubstr&qa_whiteboard=&devel_whiteboard_type=allwordssubstr&devel_whiteboard=&keywords_type=allwords&keywords=&cust_facing=&cust_facing_type=substring&bugidtype=include&bug_id=&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&format=table&action=wrap&field0-0-0=noop&type0-0-0=noop&value0-0-0=

2. Click on either of the columns

Actual results:

For ON_QA, as example:

https://bugzilla.redhat.com/buglist.cgi?action=wrap&bug_file_loc_type=allwordssubstr&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=FAILS_QA&bug_status=RELEASE_PENDING&bug_status=POST&bug_status=PASSES_QA&bugidtype=include&chfieldto=Now&cust_facing_type=substring&devel_whiteboard_type=allwordssubstr&emailassigned_to1=1&emailassigned_to2=1&emailcc2=1&emailqa_contact2=1&emailreporter2=1&emailtype1=exact&emailtype2=exact&field0-0-0=noop&fixed_in_type=allwordssubstr&keywords_type=allwords&long_desc_type=substring&product=Fedora&qa_whiteboard_type=allwordssubstr&query_format=report-table&query_format=report-table&short_desc_type=allwordssubstr&status_whiteboard_type=allwordssubstr&type0-0-0=noop&=&version=rawhide&bug_status=ON_QA

Expected results:

https://bugzilla.redhat.com/buglist.cgi?action=wrap&bug_file_loc_type=allwordssubstr&bugidtype=include&chfieldto=Now&cust_facing_type=substring&devel_whiteboard_type=allwordssubstr&emailassigned_to1=1&emailassigned_to2=1&emailcc2=1&emailqa_contact2=1&emailreporter2=1&emailtype1=exact&emailtype2=exact&field0-0-0=noop&fixed_in_type=allwordssubstr&keywords_type=allwords&long_desc_type=substring&product=Fedora&qa_whiteboard_type=allwordssubstr&query_format=report-table&query_format=report-table&short_desc_type=allwordssubstr&status_whiteboard_type=allwordssubstr&type0-0-0=noop&=&version=rawhide&bug_status=ON_QA

Additional info:

Seems when creating the url the full bug_status list is used, and then the
column appended. As such, the use of the full bug_status list is to be dropped.
Comment 1 David Lawrence 2008-09-16 12:56:14 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 2 John Poelstra 2008-09-16 12:59:33 EDT
Based on my experience, this bug no longer appears in 3.2

Bernd--okay to close?
Comment 3 David Lawrence 2008-09-16 13:09:25 EDT
Bernd, please reopen this if this is still an issue.

Thanks
Dave

Note You need to log in before you can comment on or make changes to this bug.